Bug 160926 - FC4 (and later FC3) kernels foul gpilot and pilot-link operations
FC4 (and later FC3) kernels foul gpilot and pilot-link operations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-18 14:59 EDT by Joshua Jensen
Modified: 2015-01-04 17:20 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 16:09:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2005-06-18 14:59:22 EDT
Description of problem:

I put this line: 

BUS="usb", SYSFS{product}="Palm Handheld*", KERNEL="ttyUSB[13579]", SYMLINK="pilot"

in /etc/udev/rules.d/50-udev.rules

However, the kernel in FC4, 2.6.11-1.1369_FC4, causes gpilot to crash with my
Palm Treo 650 whenever I tell the Treo to sync. For more history see
http://www.clasohm.com/blog/one-entry?entry_id=12096

Yes, I am using the new pilot-link-0.12.0-0.pre3.0.fc4.1.  As the article
mentions, I loaded 2.6.9-1.667 on FC4 and gpilot starts to behave perfectly.

What is wrong with the newer FC3 and FC4 kernels such that gpilot and pilot-link
either crash or can't talk to the Treo?

Version-Release number of selected component (if applicable):

FC4 x86-64 (and i386 I believe) 2.6.11-1.1369_FC4 
FC4 x86-64 pilot-link-0.12.0-0.pre3.0.fc4.1
Comment 1 Gilboa Davara 2005-06-20 00:18:58 EDT
Duplicate of https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=156646?
Comment 2 Pete Zaitcev 2005-06-30 12:38:23 EDT
Yes, it's possibly a dup, but may also be a regression in kernel.
In any case, pilot-link should not crash. I am adding David Malcolm
to cc in case he has comments.
Comment 3 Dave Malcolm 2005-06-30 14:46:26 EDT
Thanks for this report.

Unfortunately, the prerelease of pilot-link-0.12 and the gnome-pilot in FC4 are
a little too bleeding edge, and we've had numerous problem reports with gpilotd
in FC4.

Please can you identify which versions of gnome-pilot, gnome-pilot-conduits and
evolution you are running.

Newer, patched, versions of gnome-pilot and evolution are available in rawhide,
which are substantially better, although some problems are still being observed
with them.  A test update for FC4 of evolution is already available, and I will
attempt to push out a test update for gnome-pilot later today.
Comment 4 Joshua Jensen 2005-06-30 16:55:32 EDT
$ rpm -qa | grep pilot

pilot-link-0.12.0-0.pre3.0.fc4.1.i386
gnome-pilot-2.0.13-2.x86_64
pilot-link-0.12.0-0.pre3.0.fc4.1.x86_64
jpilot-0.99.8-0.pre9.fc4.1.x86_64
gnome-pilot-conduits-2.0.13-1.x86_64
gnome-pilot-devel-2.0.13-2.x86_64
pilot-link-devel-0.12.0-0.pre3.0.fc4.1.x86_64
Comment 5 Joshua Jensen 2005-06-30 17:01:22 EDT
I missed evolution's version:  evolution-2.2.2-5.x86_64
Comment 6 Dave Jones 2005-07-15 17:48:16 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 7 Gilboa Davara 2005-07-16 08:49:05 EDT
No go.
gpilot still crashes when I try to run the first sync under evolution/gpilotd.

[gilboa@gilboa-home-dev ~]$ rpm -qa | grep pilot
gnome-pilot-devel-2.0.13-2
jpilot-0.99.8-0.pre9.fc4.1
pilot-link-0.12.0-0.pre3.0.fc4.1
pilot-link-0.12.0-0.pre3.0.fc4.1
gnome-pilot-conduits-2.0.13-1
pilot-link-devel-0.12.0-0.pre3.0.fc4.1
gnome-pilot-2.0.13-2

[gilboa@gilboa-home-dev ~]$ rpm -qa | grep evolution
evolution-data-server-1.2.2-3
evolution-2.2.2-5
evolution-connector-2.2.2-5
evolution-webcal-2.2.0-1

[gilboa@gilboa-home-dev ~]$ uname -a
Linux gilboa-home-dev 2.6.12-1.1398_FC4smp #1 SMP Fri Jul 15 01:05:24 EDT 2005
x86_64 x86_64 x86_64 GNU/Linux
Comment 8 Joshua Jensen 2005-07-16 11:31:38 EDT
Still no go:  

The Application "gpilotd" has quit unexpectedly.

You can inform the developers of what happened to help them fix it.  Or you can
restart the application right now.
Comment 9 Gilboa Davara 2005-07-16 12:06:24 EDT
What about reverting to pilot-link-0.11? Would it solve the problem?
On the other hand, pre4 was just released. Would it help?
Comment 10 Dave Jones 2005-09-30 02:35:58 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 11 Dave Jones 2005-11-10 14:36:48 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 12 Dave Jones 2006-02-03 00:35:20 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 13 Joshua Jensen 2006-02-15 21:30:09 EST
pilot-link still isn't working with my Palm Treo 650 and "-p net:any".  It used
to, but this kernel, while fixing some bluetooth problems, doesn't seem to work
well with pilot-link.
Comment 14 Dave Jones 2006-09-16 22:13:45 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 15 Dave Jones 2006-10-16 14:20:47 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 16 Joshua Jensen 2006-11-04 14:52:08 EST
Update:

As of FC6, pilot-xfer can now speak to my Palm Treo 650... hurray!!

dmesg tells me:

usb 1-2: new full speed USB device using uhci_hcd and address 2
usb 1-2: configuration #1 chosen from 1 choice
usbcore: registered new driver usbserial
drivers/usb/serial/usb-serial.c: USB Serial support registered for generic
usbcore: registered new driver usbserial_generic
drivers/usb/serial/usb-serial.c: USB Serial Driver core
drivers/usb/serial/usb-serial.c: USB Serial support registered for Handspring Vi
sor / Palm OS
drivers/usb/serial/usb-serial.c: USB Serial support registered for Sony Clie 3.5
drivers/usb/serial/usb-serial.c: USB Serial support registered for Sony Clie 5.0
visor 1-2:1.0: Handspring Visor / Palm OS converter detected
usb 1-2: Handspring Visor / Palm OS converter now attached to ttyUSB0
usb 1-2: Handspring Visor / Palm OS converter now attached to ttyUSB1
usbcore: registered new driver visor
drivers/usb/serial/visor.c: USB HandSpring Visor / Palm OS driver
usb 1-2: USB disconnect, address 2
visor ttyUSB0: Handspring Visor / Palm OS converter now disconnected from ttyUSB
0
visor ttyUSB1: Handspring Visor / Palm OS converter now disconnected from ttyUSB
1
visor 1-2:1.0: device disconnected


pilot-xfer is tricking to start... because it want's to wait on seeing
/dev/pilot or a link... *then* it wants you to press hotsync on the palm.  The
problem is that /dev/pilot only shows up when you press hotsync on the palm...
so you have to get your timing right.  Is there a solution to this?  Next, I
will report on gnome-pilot in FC6.
Comment 17 Gilboa Davara 2006-11-05 04:21:31 EST
I can confirm the above.
I tend to just manually create the ttyUSB[01] under /etc/dev and point
gnome-terminal to it instead of playing catch up with /dev/pilot.

- Gilboa
P.S. can someone change the title of this bug to something more informative?
Comment 18 Joshua Jensen 2006-11-05 21:46:14 EST
I can also confirm that gnome-pilot works wonderfully in FC6.  Great job guys. 
I am loving FC6.  Gilboa Davara, can you post your recipe for exactly what you
do with /etc/dev and pilot-xfer, or whatever you are using?

Comment 19 Gilboa Davara 2006-11-06 05:48:20 EST
$ mkdir -p /etc/dev
$ mknod /etc/dev/ttyUSB0 c 188 0
$ mknod /etc/dev/ttyUSB1 c 188 1
$ chmod 0666 /etc/dev/ttyUSB*
$ ln -sf /etc/dev/ttyUSB1 /etc/dev/pilot

Now point gnome-pilot to /etc/dev/pilot and (at least this) problem is gone.

- Gilboa
Comment 20 Joshua Jensen 2006-11-06 12:59:22 EST
Thats a recipe to fix what is no longer broken.  In FC6, gnome-pilot doesn't
need any help.  I was speaking of the timing issue with pilot-xfer... running it
and pushing "sync" on a Treo will work if you time it right.

The problem is that pilot-xfer looks for /dev/pilot (or /dev/ttyUSB#), which
doesn't exist until just *after* you push sync on the Treo.  So you have to
start pilot-xfer after doing so... but if you wait even more than 1/2 a second,
it will say something to the effect of "link established, now press sync on your
Palm device".  I just did!!  So you have to run pilot-xfer about 1/8th of a
second after pushing sync... so it runs *just* after /dev/pilot is created. 
That works, as pilot-xfer thinks it is waiting for a sync signal from the Palm
device, and it gets one very shortly after it starts.

Have you tested your procedure with pilot-xfer?
Comment 21 Gilboa Davara 2006-11-06 13:37:29 EST
Well, at least on my laptop (PII 366) FC4 and FC5's gnome-pilot timed-out
-before- the /dev/ttyX nodes were created. Though, it could be attributed to the
machine's (very) old age.
However, I just tested FC6 and it works just fine. Thanks for the tip - guess I
can delete the static nodes device now ;)

As for pilot-xfer, unlike the FC5 version (which works just fine), it goes
completely bonkers.  (Time-outs, errors, SIGSEGVs, sigh)

- Gilboa

Note You need to log in before you can comment on or make changes to this bug.